aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2010-07-04 10:34:22 +0200
committerThomas Beierlein <tomjbe@gentoo.org>2010-07-04 10:34:22 +0200
commit061a944dd289d55d8e0aa5454fc26fe3911879b5 (patch)
treedd0bc01bb72028a9968d99970aaaf6b5940e2f79 /sci-electronics
parentDropped Lucas from maintainership on his request. Taking it over (diff)
downloadsci-061a944dd289d55d8e0aa5454fc26fe3911879b5.tar.gz
sci-061a944dd289d55d8e0aa5454fc26fe3911879b5.tar.bz2
sci-061a944dd289d55d8e0aa5454fc26fe3911879b5.zip
Initial ebuild (see bug #316807)
(Portage version: 2.1.8.3/git/Linux x86_64) (Unsigned Manifest commit)
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/puff/ChangeLog10
-rw-r--r--sci-electronics/puff/Manifest4
-rw-r--r--sci-electronics/puff/metadata.xml9
-rw-r--r--sci-electronics/puff/puff-20100127.ebuild48
4 files changed, 71 insertions, 0 deletions
diff --git a/sci-electronics/puff/ChangeLog b/sci-electronics/puff/ChangeLog
new file mode 100644
index 000000000..045482ef5
--- /dev/null
+++ b/sci-electronics/puff/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-electronics/puff
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*puff-20100127 (04 Jul 2010)
+
+ 04 Jul 2010; Thomas Beierlein <tomjbe@gentoo.org> +puff-20100127.ebuild,
+ +metadata.xml:
+ Initial ebuild (see bug #316807)
+
diff --git a/sci-electronics/puff/Manifest b/sci-electronics/puff/Manifest
new file mode 100644
index 000000000..598a7a655
--- /dev/null
+++ b/sci-electronics/puff/Manifest
@@ -0,0 +1,4 @@
+DIST puff-20100127.tgz 430028 RMD160 7bc0bc17092f2bd653da329414c9b5717cb03dbc SHA1 21771a86f808a7b7d2d09dfe547a824f8b2ab679 SHA256 055b9831abda64d59fddc74bce0fa0b4a393101725ad06281002411f66dc6dbd
+EBUILD puff-20100127.ebuild 1054 RMD160 b920f7640a1d8190fa2ae249b4d4f597c1daf918 SHA1 d7e8a9de63996e2f43e277a94540caf2b758bb15 SHA256 7350827db35b58c1ec782f6dd6d0cd2d7ac25ae9f46d54c8b9b972da402c0c6e
+MISC ChangeLog 279 RMD160 4dcae6075fe5e407e12c7741cd72dc7330430ed7 SHA1 bb05b3901dbcbd9b50b69a93fdfe7b0afad1873c SHA256 20817228379033f75ad922b435261a8d3c5bd71782f4ba24b2f4575685b1449d
+MISC metadata.xml 265 RMD160 cb299c54500f3090bfce95b33886e3da316908fe SHA1 37c9a570b56d194efb61cd1a95840ae0715a29ec SHA256 69f0fb2f606b4c47e27f728346ba2e3bf3684baa0f0546f175b90e55c8b8424c
diff --git a/sci-electronics/puff/metadata.xml b/sci-electronics/puff/metadata.xml
new file mode 100644
index 000000000..54e80a684
--- /dev/null
+++ b/sci-electronics/puff/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-electronics</herd>
+ <maintainer>
+ <email>tomjbe@gentoo.org</email>
+ <name>Thomas Beierlein</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-electronics/puff/puff-20100127.ebuild b/sci-electronics/puff/puff-20100127.ebuild
new file mode 100644
index 000000000..fef0a1959
--- /dev/null
+++ b/sci-electronics/puff/puff-20100127.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit flag-o-matic multilib
+
+DESCRIPTION="microwave CAD software"
+HOMEPAGE="http://www.vf.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="http://www.vf.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+ dev-lang/fpc
+ amd64? ( >=dev-lang/fpc-2.4.0 )"
+
+src_prepare() {
+ # fix lib path for X11 and dont ignore LDFLAGS
+ sed -i -e "s#lib\\\/#$(get_libdir)\\\/#" \
+ -e 's/link.res pu/link.res $(LDFLAGS) pu/' Makefile || die
+}
+
+src_compile() {
+ LDFLAGS="$(raw-ldflags)"
+ emake -j1 || die
+}
+
+src_install() {
+ dobin puff || die
+
+ dodoc changelog.txt README.txt || die
+ newdoc "Puff Manual.pdf" Puff_Manual.pdf || die
+
+ insinto /usr/share/${PN}
+ doins setup.puf || die
+ doins -r orig_dev_and_puf_files || die
+}
+
+pkg_postinst() {
+ elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
+ elog "before using the program."
+}